<?php
    require_once('../../config.php');

    if (!isset($CFG->fmsmeeting_roomprefix)) {
        $CFG->fmsmeeting_roomprefix = '';
    }

    $id = required_param('id', PARAM_INT);

    if (!empty($id)) {
        if (! $cm = get_coursemodule_from_id('fmsmeeting', $id)) {
            error('Course Module ID was incorrect');
        }
        if (! $course = get_record('course', 'id', $cm->course)) {
            error('Course is misconfigured');
        }
        if (! $fmsmeeting = get_record('fmsmeeting', 'id', $cm->instance)) {
            error('Course module is incorrect');
        }
    }

    require_login();

    if (confirm_sesskey()) {
        $role = has_capability('moodle/course:viewhiddenactivities', get_context_instance(CONTEXT_COURSE,$course->id))?'teacher':'student';

?>

<user name="<?php echo htmlentities(fullname($USER)) ?>" id="<?php echo $USER->id ?>" role="<?php echo $role ?>" />

<?php
        $xmltext = str_replace('instance="ROOM#"','instance="'.$CFG->fmsmeeting_roomprefix.'ROOM'.$fmsmeeting->id.'"',$fmsmeeting->alltext);
        $xmltext = str_replace('host="HOST#"','host="'.$CFG->fmsmeeting_serverhost.'"',$xmltext);
        $xmltext = str_replace('port="PORT#"','port="'.$CFG->fmsmeeting_serverport.'"',$xmltext);
        echo $xmltext;
    }
?>

